com.rscja.deviceapi.interfaces

## Interface IUhfReader

- All Superinterfaces:
    IReader
  All Known Subinterfaces:
    IRFIDWithUHFUSB, IUhfBle
  All Known Implementing Classes:
    RFIDWithUHFBLE, RFIDWithUHFUSB

      public interface IUhfReader
      extends IReader

  R2、R5、R6 蓝牙和USB读写器包含的uhf特有内容
  Author:
    Administrator

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteAllTagToFlash()` 删除R2、R6缓存的标签 Delete tag in buffer of R2 and R6
    `int` | `getAllTagTotalFromFlash()` 获取R2、R6 缓存的标签数量 Acquire tag amounts in buffer of R2 and R6.
    `int` | `getNewTagTotalFromFlash()`
    `int` | `getReaderAwaitSleepTime()` 获取读写器等待休眠的时间
    `java.util.List<UHFTAGInfo>` | `getTagDataFromFlash()` 获取R2、R6缓存的标签信息 Acquire tag information in buffer of R2 and R6
    `java.util.List<UHFTAGInfo>` | `readTagFromBufferList()` 获取缓冲区的标签数据 Acquire tag data in buffer `#startInventoryTag()` 启动识别标签之后，在子线程循环调用此函数不断获取缓冲区的标签信息，此函数只返回EPC数据 `#startInventoryTag()` after enable identify tag, acquire tag information in buffer by this function in sub thread, this fucntion will return EPC data only 在调用`#stopInventory()` 之后，应当退出子线程。 after call `#stopInventory()` , exit sub tread.
    `boolean` | `setReaderAwaitSleepTime(int time)` 设置读写器等待休眠的时间。在读写器断开连接的状态下，即将进入休眠的时间。

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IReader

      `blinkOfLed, closeLed, getBattery, getSTM32Version, openLed, scanBarcode, scanBarcodeToBytes, setBeep, setKeyEventCallback, triggerBeep`

- - ### Method Detail

    - #### readTagFromBufferList

          java.util.List<UHFTAGInfo> readTagFromBufferList()

      获取缓冲区的标签数据
      Acquire tag data in buffer
      `#startInventoryTag()` 启动识别标签之后，在子线程循环调用此函数不断获取缓冲区的标签信息，此函数只返回EPC数据
      `#startInventoryTag()` after enable identify tag, acquire tag information in buffer by this function in sub thread, this fucntion will return EPC data only
      在调用`#stopInventory()` 之后，应当退出子线程。
      after call `#stopInventory()` , exit sub tread.
      Returns:
        标签数据(tag data)

    - #### getAllTagTotalFromFlash

          int getAllTagTotalFromFlash()

      获取R2、R6 缓存的标签数量
      Acquire tag amounts in buffer of R2 and R6.
      Returns:
        返回缓存标签的数量(return tag amounts in buffer.)

    - #### deleteAllTagToFlash

          boolean deleteAllTagToFlash()

      删除R2、R6缓存的标签
      Delete tag in buffer of R2 and R6
      Returns:
        true:成功(success) false:失败(failure)

    - #### getTagDataFromFlash

          java.util.List<UHFTAGInfo> getTagDataFromFlash()

      获取R2、R6缓存的标签信息
      Acquire tag information in buffer of R2 and R6
      Returns:
        返回缓存的标签列表(Return tag list of buffer)

    - #### setReaderAwaitSleepTime

          boolean setReaderAwaitSleepTime(int time)

      设置读写器等待休眠的时间。在读写器断开连接的状态下，即将进入休眠的时间。
      Parameters:
        `time` - (1-254)等待休眠时间单位:分钟，默认5分钟
      Returns:
        true:成功 false:失败

    - #### getReaderAwaitSleepTime

          int getReaderAwaitSleepTime()

      获取读写器等待休眠的时间
      Returns:
        返回等待休眠的时间, 返回-1表示获取失败

    - #### getNewTagTotalFromFlash

          int getNewTagTotalFromFlash()